Class | Test::Unit::UI::GTK::TestRunner
In: | test/unit/ui/gtk/testrunner.rb
Parent: | Object

Runs a Test::Unit::TestSuite in a Gtk UI. Obviously, this one requires you to have Gtk (www.gtk.org/) and the Ruby Gtk extension (ruby-gnome.sourceforge.net/) installed.

### Methods

new start

### Public Class methods

new(suite, output_level = NORMAL)

Creates a new TestRunner for running the passed suite.

[Source]

    # File test/unit/ui/gtk/testrunner.rb, line 23
              def initialize(suite, output_level = NORMAL)
                if (suite.respond_to?(:suite))
                  @suite = suite.suite
                else
                  @suite = suite
                end
                @result = nil

                @runner = Thread.current
                @restart_signal = Class.new(Exception)
                @viewer = Thread.start do
                  @runner.join rescue @runner.run
                  Gtk.main
                end
                @viewer.join rescue nil # wait deadlock to handshake
              end

### Public Instance methods

start()

Begins the test run.

[Source]

    # File test/unit/ui/gtk/testrunner.rb, line 41
              def start
                setup_mediator
                setup_ui
                attach_to_mediator
                start_ui
                @result
              end

[Validate]